# gohan

[![GoDoc](https://code.rocketnine.space/tslocum/godoc-static/raw/branch/master/badge.svg)](https://docs.rocketnine.space/code.rocketnine.space/tslocum/gohan)
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

[Entity component system](https://en.wikipedia.org/wiki/Entity_component_system) framework
for [Ebitengine](https://ebiten.org)

## Documentation

Documentation is available via [godoc](https://docs.rocketnine.space/code.rocketnine.space/tslocum/gohan).

An [example game](https://rocketnine.itch.io/gohan-twinstick?secret=gohan) is included at
`/examples/twinstick`.  See godoc for build instructions.

## Support

Please share issues and suggestions [here](https://code.rocketnine.space/tslocum/gohan/issues).

## List of games powered by Gohan

- **Fish Fight Back**
  - [Play game](https://rocketnine.itch.io/fishfightback)
  - [View source code](https://code.rocketnine.space/tslocum/fishfightback)
- **Brown Box Bat Man**
  - [Play game](https://rocketnine.itch.io/brownboxbatman)
  - [View source code](https://code.rocketnine.space/tslocum/brownboxbatman)
- **Monovania**
  - [Play game](https://rocketnine.itch.io/monovania)
  - [View source code](https://code.rocketnine.space/tslocum/monovania)
